Name:           laughlin-backgrounds
Version:        13.91.0
Release:        1%{?dist}
Summary:        Laughlin desktop backgrounds

Group:          Applications/Multimedia
License:        CC-BY-SA
URL:            https://fedoraproject.org/wiki/F14_Artwork
Source0:        https://fedorahosted.org/released/design-team/%{name}-%{version}.tar.lzma
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

# for %%_kde4_* macros
BuildRequires:  kde-filesystem
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-kde = %{version}-%{release}


%description
This package contains desktop backgrounds for the Laughlin theme. Pulls in both
Gnome and KDE themes.

%package        single
Summary:        Single screen images for Laughlin Backgrounds
Group:          Applications/Multimedia
License:        CC-BY-SA

%description    single
This package contains single screen images for Laughlin Backgrounds

%package        kde 
Summary:        Laughlin Wallpapers for KDE 
Group:          Applications/Multimedia
%if 0%{?fedora} >= 14
Provides:       system-backgrounds-kde = %{version}-%{release}
%endif

Requires:       %{name}-single = %{version}-%{release} 
Requires:       kde-filesystem

%description    kde 
This package contains KDE desktop wallpapers for the Laughlin theme.

%package        gnome 
Summary:        Laughlin Wallpapers for Gnome 
Group:          Applications/Multimedia

Requires:       %{name}-single = %{version}-%{release} 
%if 0%{?fedora} >= 14
Provides:        system-backgrounds-gnome = %{version}-%{release}
%endif

%description    gnome 
This package contains Gnome desktop wallpapers for the Laughlin theme.


%prep
%setup -q


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc

%files single
%defattr(-,root,root,-)
%doc COPYING Credits
#There'll be also dual wallpapers in dual subpackage in the future, hence the 
# %%dir ownership is treated separately
%dir %{_datadir}/backgrounds/laughlin
%dir %{_datadir}/backgrounds/laughlin/default
%{_datadir}/backgrounds/laughlin/default/normalish
%{_datadir}/backgrounds/laughlin/default/standard
%{_datadir}/backgrounds/laughlin/default/wide

%files kde
%defattr(-,root,root,-)
%{_kde4_datadir}/wallpapers/Laughlin/

%files gnome
%defattr(-,root,root,-)
%{_datadir}/backgrounds/laughlin/default/laughlin.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-laughlin.xml


%changelog
* Tue Jul 27 2010 Martin Sourada <mso@fedoraproject.org> - 13.91.0-1
- Initial backgrounds package for F14 Laughlin

